Memos

Get User Stats

GetUserStats returns memo statistics for one user, counting the user's memos that the caller can read.

GET
/api/users/{user}:getStats

Path Parameters

user*string

The user id.

Query Parameters

filter?string

Optional. A CEL expression selecting the readable non-comment memos to count. Supports the same fields as ListMemos, including space.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/users/string:getStats"
{  "name": "string",  "totalMemoCount": 0,  "memoTypeStats": {    "linkCount": 0,    "codeCount": 0,    "todoCount": 0,    "undoCount": 0  },  "tagCounts": {    "property1": 0,    "property2": 0  },  "pinnedMemos": [    "string"  ],  "memoCreatedTimestamps": [    "2019-08-24T14:15:22Z"  ],  "memoUpdatedTimestamps": [    "2019-08-24T14:15:22Z"  ],  "attachmentStorageBytes": "string"}